define(["require", "exports"], function (require, exports) {
    "use strict";
    var ArmHelpers = Common.Helpers;
    "use strict";
    var AdminReportPartViewModel = (function () {
        function AdminReportPartViewModel(container, initialState, dataContext) {
            this.subscriptionId = ko.observable();
            this.reportImage = ko.observable(MsPortalFx.Base.Images.Loading.EllipsisSquare());
        }
        AdminReportPartViewModel.prototype.onInputsSet = function (inputs) {
            this.subscriptionId(inputs.subscriptionId);
            var imageUri = MsPortalFx.Base.Resources.getContentUri("Content/Images/Reports/{0}".format(inputs.imageName));
            var image = MsPortalFx.Base.Images.ImageUri(imageUri);
            this.reportImage(image);
            return Q();
        };
        return AdminReportPartViewModel;
    }());
    exports.AdminReportPartViewModel = AdminReportPartViewModel;
});
