var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", "Fx/Composition/Selectable"], function (require, exports, FxSelectable2) {
    "use strict";
    var BladeDefinitions;
    (function (BladeDefinitions) {
        var extensionName = "CloudAssertBillingAdminExtension";
        function createOptions(onClosed, parameters, callbacks) {
            return {
                onClosed: onClosed,
                parameters: parameters,
                callbacks: callbacks
            };
        }
        var ServiceQuotasBladeReference = (function (_super) {
            __extends(ServiceQuotasBladeReference, _super);
            function ServiceQuotasBladeReference(options) {
                _super.call(this, "ServiceQuotasBlade", extensionName, options);
            }
            return ServiceQuotasBladeReference;
        }(FxSelectable2.ParameterProviderBladeReference));
        BladeDefinitions.ServiceQuotasBladeReference = ServiceQuotasBladeReference;
        var QuotaCollectionBladeReference = (function (_super) {
            __extends(QuotaCollectionBladeReference, _super);
            function QuotaCollectionBladeReference(parameters, onClosed) {
                _super.call(this, "QuotaCollectionBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return QuotaCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.QuotaCollectionBladeReference = QuotaCollectionBladeReference;
        var QuotaDetailsBladeReference = (function (_super) {
            __extends(QuotaDetailsBladeReference, _super);
            function QuotaDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "QuotaDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return QuotaDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.QuotaDetailsBladeReference = QuotaDetailsBladeReference;
        var ResourceProviderDashboardBladeReference = (function (_super) {
            __extends(ResourceProviderDashboardBladeReference, _super);
            function ResourceProviderDashboardBladeReference(parameters, onClosed) {
                _super.call(this, "ResourceProviderDashboardBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return ResourceProviderDashboardBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.ResourceProviderDashboardBladeReference = ResourceProviderDashboardBladeReference;
        var ResourceProviderOverviewBladeReference = (function (_super) {
            __extends(ResourceProviderOverviewBladeReference, _super);
            function ResourceProviderOverviewBladeReference(parameters, onClosed) {
                _super.call(this, "ResourceProviderOverviewBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return ResourceProviderOverviewBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.ResourceProviderOverviewBladeReference = ResourceProviderOverviewBladeReference;
        var AdminReportOneBladeReference = (function (_super) {
            __extends(AdminReportOneBladeReference, _super);
            function AdminReportOneBladeReference(parameters, onClosed) {
                _super.call(this, "AdminReportOneBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AdminReportOneBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AdminReportOneBladeReference = AdminReportOneBladeReference;
        var AdminReportTwoBladeReference = (function (_super) {
            __extends(AdminReportTwoBladeReference, _super);
            function AdminReportTwoBladeReference(parameters, onClosed) {
                _super.call(this, "AdminReportTwoBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AdminReportTwoBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AdminReportTwoBladeReference = AdminReportTwoBladeReference;
        var AdminReportThreeBladeReference = (function (_super) {
            __extends(AdminReportThreeBladeReference, _super);
            function AdminReportThreeBladeReference(parameters, onClosed) {
                _super.call(this, "AdminReportThreeBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AdminReportThreeBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AdminReportThreeBladeReference = AdminReportThreeBladeReference;
        var CspOffersGridBladeReference = (function (_super) {
            __extends(CspOffersGridBladeReference, _super);
            function CspOffersGridBladeReference(parameters, onClosed) {
                _super.call(this, "CspOffersGridBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return CspOffersGridBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CspOffersGridBladeReference = CspOffersGridBladeReference;
        var CspCustomerProfileRequestGridViewModelReference = (function (_super) {
            __extends(CspCustomerProfileRequestGridViewModelReference, _super);
            function CspCustomerProfileRequestGridViewModelReference(parameters, onClosed) {
                _super.call(this, "CspCustomerProfileRequestGridViewModel", extensionName, createOptions(onClosed, parameters), {});
            }
            return CspCustomerProfileRequestGridViewModelReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CspCustomerProfileRequestGridViewModelReference = CspCustomerProfileRequestGridViewModelReference;
        var CspCustomerProfileRequestDetailsViewModelReference = (function (_super) {
            __extends(CspCustomerProfileRequestDetailsViewModelReference, _super);
            function CspCustomerProfileRequestDetailsViewModelReference(parameters, onClosed) {
                _super.call(this, "CspCustomerProfileRequestDetailsViewModel", extensionName, createOptions(onClosed, parameters), {});
            }
            return CspCustomerProfileRequestDetailsViewModelReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CspCustomerProfileRequestDetailsViewModelReference = CspCustomerProfileRequestDetailsViewModelReference;
        var AdminBillingMenuBladeReference = (function (_super) {
            __extends(AdminBillingMenuBladeReference, _super);
            function AdminBillingMenuBladeReference(onClosed) {
                _super.call(this, "AdminBillingMenuBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return AdminBillingMenuBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AdminBillingMenuBladeReference = AdminBillingMenuBladeReference;
        var UsageHistoryGridBladeReference = (function (_super) {
            __extends(UsageHistoryGridBladeReference, _super);
            function UsageHistoryGridBladeReference(parameters, onClosed) {
                _super.call(this, "UsageHistoryGridBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageHistoryGridBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageHistoryGridBladeReference = UsageHistoryGridBladeReference;
        var InvoicesCollectionBladeReference = (function (_super) {
            __extends(InvoicesCollectionBladeReference, _super);
            function InvoicesCollectionBladeReference(parameters, onClosed) {
                _super.call(this, "InvoicesCollectionBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return InvoicesCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoicesCollectionBladeReference = InvoicesCollectionBladeReference;
        var InvoiceDetailBladeReference = (function (_super) {
            __extends(InvoiceDetailBladeReference, _super);
            function InvoiceDetailBladeReference(parameters, onClosed) {
                _super.call(this, "InvoiceDetailBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return InvoiceDetailBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoiceDetailBladeReference = InvoiceDetailBladeReference;
        var InvoiceEditBladeReference = (function (_super) {
            __extends(InvoiceEditBladeReference, _super);
            function InvoiceEditBladeReference(parameters, onClosed) {
                _super.call(this, "InvoiceEditBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return InvoiceEditBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoiceEditBladeReference = InvoiceEditBladeReference;
        var PricingProfileBladeReference = (function (_super) {
            __extends(PricingProfileBladeReference, _super);
            function PricingProfileBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileBladeReference = PricingProfileBladeReference;
        var PricingProfilesCollectionBladeReference = (function (_super) {
            __extends(PricingProfilesCollectionBladeReference, _super);
            function PricingProfilesCollectionBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfilesCollectionBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfilesCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfilesCollectionBladeReference = PricingProfilesCollectionBladeReference;
        var PricingProfileImportBladeReference = (function (_super) {
            __extends(PricingProfileImportBladeReference, _super);
            function PricingProfileImportBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileImportBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileImportBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileImportBladeReference = PricingProfileImportBladeReference;
        var PricingProfileUpdateMetersBladeReference = (function (_super) {
            __extends(PricingProfileUpdateMetersBladeReference, _super);
            function PricingProfileUpdateMetersBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileUpdateMetersBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileUpdateMetersBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileUpdateMetersBladeReference = PricingProfileUpdateMetersBladeReference;
        var PricingProfileDetailsBladeReference = (function (_super) {
            __extends(PricingProfileDetailsBladeReference, _super);
            function PricingProfileDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileDetailsBladeReference = PricingProfileDetailsBladeReference;
        var PricingProfileMappingBladeReference = (function (_super) {
            __extends(PricingProfileMappingBladeReference, _super);
            function PricingProfileMappingBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileMappingBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileMappingBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileMappingBladeReference = PricingProfileMappingBladeReference;
        var PricingProfileLinkUnlinkBladeReference = (function (_super) {
            __extends(PricingProfileLinkUnlinkBladeReference, _super);
            function PricingProfileLinkUnlinkBladeReference(parameters, onClosed) {
                _super.call(this, "PricingProfileLinkUnlinkBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return PricingProfileLinkUnlinkBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.PricingProfileLinkUnlinkBladeReference = PricingProfileLinkUnlinkBladeReference;
        var SettingsBladeReference = (function (_super) {
            __extends(SettingsBladeReference, _super);
            function SettingsBladeReference(parameters, onClosed) {
                _super.call(this, "SettingsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return SettingsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.SettingsBladeReference = SettingsBladeReference;
        var ProductFeaturesSettingBladeReference = (function (_super) {
            __extends(ProductFeaturesSettingBladeReference, _super);
            function ProductFeaturesSettingBladeReference(parameters, onClosed) {
                _super.call(this, "ProductFeaturesSettingBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return ProductFeaturesSettingBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.ProductFeaturesSettingBladeReference = ProductFeaturesSettingBladeReference;
        var InvoicePdfSettingBladeReference = (function (_super) {
            __extends(InvoicePdfSettingBladeReference, _super);
            function InvoicePdfSettingBladeReference(parameters, onClosed) {
                _super.call(this, "InvoicePdfSettingBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return InvoicePdfSettingBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.InvoicePdfSettingBladeReference = InvoicePdfSettingBladeReference;
        var CspSettingBladeReference = (function (_super) {
            __extends(CspSettingBladeReference, _super);
            function CspSettingBladeReference(parameters, onClosed) {
                _super.call(this, "CspSettingBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return CspSettingBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.CspSettingBladeReference = CspSettingBladeReference;
        var EmailNotificationSettingBladeReference = (function (_super) {
            __extends(EmailNotificationSettingBladeReference, _super);
            function EmailNotificationSettingBladeReference(parameters, onClosed) {
                _super.call(this, "EmailNotificationSettingBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return EmailNotificationSettingBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.EmailNotificationSettingBladeReference = EmailNotificationSettingBladeReference;
        var StripeSettingsBladeReference = (function (_super) {
            __extends(StripeSettingsBladeReference, _super);
            function StripeSettingsBladeReference(parameters, onClosed) {
                _super.call(this, "StripeSettingsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return StripeSettingsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.StripeSettingsBladeReference = StripeSettingsBladeReference;
        var AzureStackUsageCollectorSettingsBladeReference = (function (_super) {
            __extends(AzureStackUsageCollectorSettingsBladeReference, _super);
            function AzureStackUsageCollectorSettingsBladeReference(parameters, onClosed) {
                _super.call(this, "AzureStackUsageCollectorSettingsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AzureStackUsageCollectorSettingsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AzureStackUsageCollectorSettingsBladeReference = AzureStackUsageCollectorSettingsBladeReference;
        var DomainUserSettingsBladeReference = (function (_super) {
            __extends(DomainUserSettingsBladeReference, _super);
            function DomainUserSettingsBladeReference(parameters, onClosed) {
                _super.call(this, "DomainUserSettingsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return DomainUserSettingsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.DomainUserSettingsBladeReference = DomainUserSettingsBladeReference;
        var MiscSettingsBladeReference = (function (_super) {
            __extends(MiscSettingsBladeReference, _super);
            function MiscSettingsBladeReference(parameters, onClosed) {
                _super.call(this, "MiscSettingsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return MiscSettingsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.MiscSettingsBladeReference = MiscSettingsBladeReference;
        var UserProfileBladeReference = (function (_super) {
            __extends(UserProfileBladeReference, _super);
            function UserProfileBladeReference(parameters, onClosed) {
                _super.call(this, "UserProfileBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UserProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserProfileBladeReference = UserProfileBladeReference;
        var UserRequestsBladeReference = (function (_super) {
            __extends(UserRequestsBladeReference, _super);
            function UserRequestsBladeReference(parameters, onClosed) {
                _super.call(this, "UserRequestsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UserRequestsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserRequestsBladeReference = UserRequestsBladeReference;
        var UserRequestsDetailsBladeReference = (function (_super) {
            __extends(UserRequestsDetailsBladeReference, _super);
            function UserRequestsDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "UserRequestsDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UserRequestsDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserRequestsDetailsBladeReference = UserRequestsDetailsBladeReference;
        var MeteredResourceCollectionBladeReference = (function (_super) {
            __extends(MeteredResourceCollectionBladeReference, _super);
            function MeteredResourceCollectionBladeReference(parameters, onClosed) {
                _super.call(this, "MeteredResourceCollectionBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return MeteredResourceCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.MeteredResourceCollectionBladeReference = MeteredResourceCollectionBladeReference;
        var MeteredResourceEditBladeReference = (function (_super) {
            __extends(MeteredResourceEditBladeReference, _super);
            function MeteredResourceEditBladeReference(parameters, onClosed) {
                _super.call(this, "MeteredResourceEditBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return MeteredResourceEditBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.MeteredResourceEditBladeReference = MeteredResourceEditBladeReference;
        var AvailablePricingProfileBladeReference = (function (_super) {
            __extends(AvailablePricingProfileBladeReference, _super);
            function AvailablePricingProfileBladeReference(parameters, onClosed) {
                _super.call(this, "AvailablePricingProfileBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AvailablePricingProfileBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AvailablePricingProfileBladeReference = AvailablePricingProfileBladeReference;
        var UpdateMeteredPricingCatageoriesResourceBladeReference = (function (_super) {
            __extends(UpdateMeteredPricingCatageoriesResourceBladeReference, _super);
            function UpdateMeteredPricingCatageoriesResourceBladeReference(parameters, onClosed) {
                _super.call(this, "UpdateMeteredPricingCatageoriesResourceBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UpdateMeteredPricingCatageoriesResourceBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UpdateMeteredPricingCatageoriesResourceBladeReference = UpdateMeteredPricingCatageoriesResourceBladeReference;
        var QuotaCreateBladeReference = (function (_super) {
            __extends(QuotaCreateBladeReference, _super);
            function QuotaCreateBladeReference(onClosed) {
                _super.call(this, "QuotaCreateBlade", extensionName, createOptions(onClosed, undefined), {});
            }
            return QuotaCreateBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.QuotaCreateBladeReference = QuotaCreateBladeReference;
        var LicenseOverviewBladeReference = (function (_super) {
            __extends(LicenseOverviewBladeReference, _super);
            function LicenseOverviewBladeReference(parameters, onClosed) {
                _super.call(this, "LicenseOverviewBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return LicenseOverviewBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.LicenseOverviewBladeReference = LicenseOverviewBladeReference;
        var ActivateLicenseFormBladeReference = (function (_super) {
            __extends(ActivateLicenseFormBladeReference, _super);
            function ActivateLicenseFormBladeReference(parameters, onClosed) {
                _super.call(this, "ActivateLicenseFormBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return ActivateLicenseFormBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.ActivateLicenseFormBladeReference = ActivateLicenseFormBladeReference;
        var UsageProcessingStatusReference = (function (_super) {
            __extends(UsageProcessingStatusReference, _super);
            function UsageProcessingStatusReference(parameters, onClosed) {
                _super.call(this, "UsageProcessingStatus", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageProcessingStatusReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageProcessingStatusReference = UsageProcessingStatusReference;
        var AgentLogsReference = (function (_super) {
            __extends(AgentLogsReference, _super);
            function AgentLogsReference(parameters, onClosed) {
                _super.call(this, "AgentLogs", extensionName, createOptions(onClosed, parameters), {});
            }
            return AgentLogsReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AgentLogsReference = AgentLogsReference;
        var AgentLogsDetailsBladeReference = (function (_super) {
            __extends(AgentLogsDetailsBladeReference, _super);
            function AgentLogsDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "AgentLogsDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return AgentLogsDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.AgentLogsDetailsBladeReference = AgentLogsDetailsBladeReference;
        var NotificationMessagesBladeReference = (function (_super) {
            __extends(NotificationMessagesBladeReference, _super);
            function NotificationMessagesBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationMessagesBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationMessagesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationMessagesBladeReference = NotificationMessagesBladeReference;
        var NotificationRulesBladeReference = (function (_super) {
            __extends(NotificationRulesBladeReference, _super);
            function NotificationRulesBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationRulesBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationRulesBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationRulesBladeReference = NotificationRulesBladeReference;
        var NotificationAddEditBladeReference = (function (_super) {
            __extends(NotificationAddEditBladeReference, _super);
            function NotificationAddEditBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationAddEditBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationAddEditBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationAddEditBladeReference = NotificationAddEditBladeReference;
        var NotificationMessageDetailsBladeReference = (function (_super) {
            __extends(NotificationMessageDetailsBladeReference, _super);
            function NotificationMessageDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "NotificationMessageDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return NotificationMessageDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.NotificationMessageDetailsBladeReference = NotificationMessageDetailsBladeReference;
        var UserCreditsCollectionBladeReference = (function (_super) {
            __extends(UserCreditsCollectionBladeReference, _super);
            function UserCreditsCollectionBladeReference(parameters, onClosed) {
                _super.call(this, "UserCreditsCollectionBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UserCreditsCollectionBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserCreditsCollectionBladeReference = UserCreditsCollectionBladeReference;
        var UserCreditsDetailsBladeReference = (function (_super) {
            __extends(UserCreditsDetailsBladeReference, _super);
            function UserCreditsDetailsBladeReference(parameters, onClosed) {
                _super.call(this, "UserCreditsDetailsBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UserCreditsDetailsBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UserCreditsDetailsBladeReference = UserCreditsDetailsBladeReference;
        var UsageAndQuotaStatusBladeReference = (function (_super) {
            __extends(UsageAndQuotaStatusBladeReference, _super);
            function UsageAndQuotaStatusBladeReference(parameters, onClosed) {
                _super.call(this, "UsageAndQuotaStatusBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageAndQuotaStatusBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaStatusBladeReference = UsageAndQuotaStatusBladeReference;
        var UsageAndQuotaSnapInBladeReference = (function (_super) {
            __extends(UsageAndQuotaSnapInBladeReference, _super);
            function UsageAndQuotaSnapInBladeReference(parameters, onClosed) {
                _super.call(this, "UsageAndQuotaSnapInBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageAndQuotaSnapInBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaSnapInBladeReference = UsageAndQuotaSnapInBladeReference;
        var UsageAndQuotaTrendBladeReference = (function (_super) {
            __extends(UsageAndQuotaTrendBladeReference, _super);
            function UsageAndQuotaTrendBladeReference(parameters, onClosed) {
                _super.call(this, "UsageAndQuotaTrendBlade", extensionName, createOptions(onClosed, parameters), {});
            }
            return UsageAndQuotaTrendBladeReference;
        }(FxSelectable2.PdlBladeReference));
        BladeDefinitions.UsageAndQuotaTrendBladeReference = UsageAndQuotaTrendBladeReference;
    })(BladeDefinitions || (BladeDefinitions = {}));
    return BladeDefinitions;
});
