define(["require", "exports", "../../AdminReports/ViewModels/AdminReportBladeViewModel"], function (require, exports) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "AdminReportTwoBlade",
            "inputs": [
                "subscriptionId",
                "title",
                "subTitle"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "AdminReports$AdminReportBladeViewModel",
            "lenses": [
                {
                    "name": "ReportLens1",
                    "partInstances": [
                        {
                            "name": "AdminReportTwoPart1",
                            "reference": {
                                "partTypeName": "AdminReportPart",
                                "bindings": [
                                    {
                                        "property": "subscriptionId",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 3,
                                                "property": "content.subscriptionId"
                                            }
                                        ]
                                    },
                                    {
                                        "property": "imageName",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 5,
                                                "property": "constant_Image2_png",
                                                "constantValue": "Image2.png"
                                            }
                                        ]
                                    }
                                ],
                                "initialSize": 9
                            }
                        }
                    ]
                }
            ],
            "viewModelInputs": [
                {
                    "property": "subscriptionId",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "subscriptionId"
                        }
                    ]
                },
                {
                    "property": "title",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "title"
                        }
                    ]
                },
                {
                    "property": "subTitle",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "subTitle"
                        }
                    ]
                }
            ],
            "width": 2,
            "locked": true,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
