define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../MeteredResourcePricing/ViewModels/AvailablePricingProfileBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "AvailablePricingProfileBlade",
            "inputs": [
                "adminSubscriptionId",
                "location",
                "pricingProfileId"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId",
                "location",
                "pricingProfileId"
            ],
            "viewModelName": "MeteredResourcePricing$AvailablePricingProfileBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": false,
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.availablePricingProfilesGrid.selectableData",
                        "blade": "UpdateMeteredPricingCatageoriesResourceBlade",
                        "selectableBindings": [
                            {
                                "property": "adminSubscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "adminSubscriptionId"
                                    }
                                ]
                            },
                            {
                                "property": "location",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "location"
                                    }
                                ]
                            },
                            {
                                "property": "profileName",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "ProfileName"
                                    }
                                ]
                            },
                            {
                                "property": "pricingProfileId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 3,
                                        "property": "content.pricingProfileId"
                                    }
                                ]
                            },
                            {
                                "property": "meteredResourcesListJson",
                                "valuesFrom": [
                                    {
                                        "referenceType": 3,
                                        "property": "content.meteredResourcesListJson"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "AvailablePricingProfileBlade.html",
                    "content": "<div data-bind='pcControl: availablePricingProfilesGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
