define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../MeteredResourcePricing/ViewModels/MeteredResourceEditBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "MeteredResourceEditBlade",
            "inputs": [
                "adminSubscriptionId",
                "location",
                "meteredResourceId"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId",
                "location",
                "meteredResourceId"
            ],
            "viewModelName": "MeteredResourcePricing$MeteredResourceEditBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "MeteredResourceEditBlade.html",
                    "content": "<div class=\"msportalfx-form\"> <div data-bind=\"formElement: formSection\"></div> <div data-bind='pcControl: propertiesGrid'></div> <div style=\"overflow: hidden\"> <div data-bind='pcControl: addPropertyButton' style=\"margin-top:30px; float: left\"></div> <div data-bind='pcControl: deletePropertyButton' style=\"margin-top:30px; overflow: hidden; padding-left: 10px\"></div> </div> </div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
