define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Notifications/ViewModels/NotificationAddEditBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "NotificationAddEditBlade",
            "inputs": [
                "isAdd",
                "subscriptionId",
                "location",
                "selectedRule"
            ],
            "templateKeyInputs": [
                "isAdd",
                "subscriptionId",
                "location",
                "selectedRule"
            ],
            "viewModelName": "Notifications$NotificationAddEditBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "NotificationAddEditBlade.html",
                    "content": "<div class=\"msportalfx-form\"> <div style=\"width:80%\"> <div data-bind=\"pcControl:formSection\"></div> </div> </div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
