define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Notifications/ViewModels/NotificationMessageDetailsBladeViewModel", "../../Notifications/ViewModels/NotificationMessageDetailsPartBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "NotificationMessageDetailsBlade",
            "inputs": [
                "selectedMessageId",
                "selectedMessage"
            ],
            "templateKeyInputs": [
                "selectedMessageId"
            ],
            "viewModelName": "Notifications$NotificationMessageDetailsBladeViewModel",
            "lenses": [
                {
                    "name": "NotificationMessageDetailsPartBladeLens",
                    "partInstances": [
                        {
                            "name": "NotificationMessageDetailsPartBlade",
                            "inline": {
                                "styleSheets": [
                                    {
                                        "file": "Blades/QuotaStyles.css",
                                        "content": BladesQuotaStylescss
                                    },
                                    {
                                        "file": "Blades/AdminBillingStyles.css",
                                        "content": BladesAdminBillingStylescss
                                    }
                                ],
                                "viewModel": "Notifications$NotificationMessageDetailsPartBladeViewModel",
                                "partKind": 0,
                                "inputs": [
                                    "selectedMessageId",
                                    "selectedMessage"
                                ],
                                "bindings": [
                                    {
                                        "property": "selectedMessageId",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 1,
                                                "property": "selectedMessageId"
                                            }
                                        ]
                                    },
                                    {
                                        "property": "selectedMessage",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 1,
                                                "property": "selectedMessage"
                                            }
                                        ]
                                    }
                                ],
                                "details": [],
                                "initialSize": 8,
                                "supportedSizes": [
                                    8
                                ],
                                "htmlTemplateInline": {
                                    "file": "NotificationMessageDetailsPartBlade.html",
                                    "content": "<div class=\"msportalfx-form msportalfx-form-create\"> <div data-bind=\"foreach: detailsSection\"> <div class=\"msportalfx-text-header-regular\" data-bind=\"text: title\" style=\"margin-top: 15px; font-weight: bold\"></div> <div data-bind=\"foreach: items\" style=\"margin-top: 10px\"> <div> <div style=\"font-weight: bold; width: 33%; min-width: 33%; float: left;\" class=\"msportalfx-text-regular msportalfx-text-ellipsis msportalfx-tooltip-overflow\" data-bind=\"text: label\"></div> <div style=\"padding-left: 5px; overflow:hidden; text-overflow:ellipsis\" class=\"msportalfx-text-regular msportalfx-tooltip-overflow\" data-bind=\"text: value\"></div> </div> </div> </div> </div>"
                                }
                            }
                        }
                    ]
                }
            ],
            "width": 1,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
