define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Notifications/ViewModels/NotificationMessagesBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "NotificationMessagesBlade",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "Notifications$NotificationMessagesBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": true,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.notificationsGrid.selectableData",
                        "blade": "NotificationMessageDetailsBlade",
                        "selectableBindings": [
                            {
                                "property": "selectedMessageId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Id"
                                    }
                                ]
                            }
                        ],
                        "additionalInputArguments": [
                            {
                                "property": "selectedMessage",
                                "valuesFrom": [
                                    {
                                        "referenceType": 3,
                                        "property": "content.selectedMessage"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "NotificationMessagesBlade.html",
                    "content": "<div data-bind='pcControl: notificationsGrid'></div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
