define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../PricingProfile/ViewModels/PricingProfileDetailsBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "PricingProfileDetailsBlade",
            "inputs": [
                "adminSubscriptionId",
                "location",
                "pricingProfileId"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId",
                "location",
                "pricingProfileId"
            ],
            "viewModelName": "PricingProfile$PricingProfileDetailsBladeViewModel",
            "lenses": [],
            "width": 1,
            "editScopeType": "PDLEditScope",
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "PricingProfileDetailsBlade.html",
                    "content": " <div class=\"msportalfx-form-columns ext-cs-form\"> <div data-bind=\"formElement: formSection\"></div> </div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
