define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../PricingProfile/ViewModels/PricingProfileImportBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "PricingProfileImportBlade",
            "inputs": [
                "adminSubscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId",
                "location"
            ],
            "viewModelName": "PricingProfile$PricingProfileImportBladeViewModel",
            "lenses": [],
            "width": 1,
            "pinnable": false,
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "PricingProfileImportBlade.html",
                    "content": " <div class=\"msportalfx-form-columns ext-cs-form\"> <div data-bind=\"formElement: formSection\"></div> <div data-bind='pcControl: uploadButtonViewModel' style=\"margin-top: 20px\"></div> </div> <!--<div data-bind='pcControl: txProfileName'></div>\r\n<div style=\"width: 360px;\" data-bind='pcControl: fileUploadViewModel'></div>\r\n<div data-bind='pcControl: uploadButtonViewModel'></div>--> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
