define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../PricingProfile/ViewModels/PricingProfileMappingBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "PricingProfileMappingBlade",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "PricingProfile$PricingProfileMappingBladeViewModel",
            "lenses": [],
            "width": 2,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "PricingProfileMappingBlade.html",
                    "content": "<div data-bind=\"pcControl: formSection\" style=\"width: 250px\"></div> <div data-bind='pcControl: mappedProfilesGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
