define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Quota/ViewModels/QuotaCollectionBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "QuotaCollectionBlade",
            "inputs": [
                "adminSubscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId"
            ],
            "viewModelName": "Quota$QuotaCollectionBladeViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.quotaGrid.selectableData",
                        "blade": "QuotaDetailsBlade",
                        "selectableBindings": [
                            {
                                "property": "subscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "adminSubscriptionId"
                                    }
                                ]
                            },
                            {
                                "property": "location",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "location"
                                    }
                                ]
                            },
                            {
                                "property": "selectedQuota",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Name"
                                    }
                                ]
                            },
                            {
                                "property": "selectedQuotaId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "QuotaId"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "QuotaCollectionBlade.html",
                    "content": "<div data-bind='pcControl: quotaGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
