define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Quota/ViewModels/QuotaCreateNoticeBladeViewModel", "../../Quota/ViewModels/QuotaCreateNoticePartViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "QuotaCreateBlade",
            "viewModelName": "Quota$QuotaCreateNoticeBladeViewModel",
            "lenses": [
                {
                    "name": "QuotaCreateNoticeLens",
                    "partInstances": [
                        {
                            "name": "QuotaCreateNoticePart",
                            "inline": {
                                "styleSheets": [
                                    {
                                        "file": "Blades/QuotaStyles.css",
                                        "content": BladesQuotaStylescss
                                    },
                                    {
                                        "file": "Blades/AdminBillingStyles.css",
                                        "content": BladesAdminBillingStylescss
                                    }
                                ],
                                "viewModel": "Quota$QuotaCreateNoticePartViewModel",
                                "partKind": 0,
                                "inputs": [],
                                "bindings": [],
                                "details": [],
                                "initialSize": 5,
                                "supportedSizes": [
                                    5
                                ],
                                "htmlTemplateInline": {
                                    "file": "QuotaNoticePart.html",
                                    "content": "<div> Please open Billing Base Profiles blade (in Pricing Profile blade) to create or edit quotas </div>"
                                }
                            }
                        }
                    ]
                }
            ],
            "locked": true,
            "waitForInputsSet": true,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
