define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Quota/ViewModels/ServiceQuotasBladeBladeViewModel", "../../Quota/ViewModels/QuotaFormPartViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "ServiceQuotasBlade",
            "viewModelName": "Quota$ServiceQuotasBladeBladeViewModel",
            "lenses": [
                {
                    "name": "QuotasLens",
                    "partInstances": [
                        {
                            "name": "ServiceQuotasPart",
                            "inline": {
                                "styleSheets": [
                                    {
                                        "file": "Blades/QuotaStyles.css",
                                        "content": BladesQuotaStylescss
                                    },
                                    {
                                        "file": "Blades/AdminBillingStyles.css",
                                        "content": BladesAdminBillingStylescss
                                    }
                                ],
                                "viewModel": "Quota$QuotaFormPartViewModel",
                                "partKind": 0,
                                "inputs": [],
                                "bindings": [],
                                "details": [],
                                "initialSize": 8,
                                "supportedSizes": [
                                    8
                                ],
                                "htmlTemplateInline": {
                                    "file": "QuotaForm.html",
                                    "content": "<div class=\"msportalfx-form-columns ext-cs-form\"> <div data-bind=\"formElement: generalSection\"> <!--\r\n        <div class=\"ext-cs-quota-textfield ext-cs-first\" data-bind=\"formElement: txVirtualMachines\"></div>\r\n        <div data-bind=\"formElement: cbVirtualMachinesUnlimited\"></div>\r\n        --> <!--\r\n        <div class=\"ext-cs-quota-textfield\" data-bind=\"formElement: txTodos\"></div>\r\n        <div data-bind=\"formElement: cbTodosUnlimited\"></div>\r\n        --> </div> </div>"
                                }
                            },
                            "parameterProvider": true
                        }
                    ]
                }
            ],
            "width": 0,
            "locked": true,
            "pinnable": false,
            "style": 3,
            "actionBar": {
                "name": "",
                "actionBarKind": 6,
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.actionBar",
                            "part": "ServiceQuotasPart"
                        }
                    ]
                },
                "bindings": []
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
