define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../UsageAndQuota/ViewModels/UsageAndQuotaTrendBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "UsageAndQuotaTrendBlade",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "UsageAndQuota$UsageAndQuotaTrendBladeViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": true,
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "UsageAndQuotaTrendBlade.html",
                    "content": "<div data-bind='pcControl: filtersSection'></div> <div style=\"padding: 20px 0;\"> <div data-bind='pcControl: applyFiltersButton'></div> <!--<div data-bind='pcControl: downloadHistoryButton' style=\"padding-left: 20px\"></div>--> </div> <div data-bind=\"pcControl: simpleChartVM\" style=\"height: 500px\"></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
