define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../UsageProcessingStatus/ViewModels/UsageProcessingStatusViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "UsageProcessingStatus",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "UsageProcessingStatus$UsageProcessingStatusViewModel",
            "lenses": [],
            "width": 0,
            "pinnable": true,
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "UsageProcessingStatus.html",
                    "content": "<h2 style=\"display: table-cell;font-size: 14px;\">Usage Aggregation Status</h2> <br/> <div data-bind='pcControl: usageProcessingStatusGrid'></div> <br/> <br/> <h2 style=\"display: table-cell;font-size: 14px;\">Records Count</h2> <br/> <div data-bind='pcControl: recordsCountGrid'></div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
