define(["require", "exports"], function (require, exports) {
    "use strict";
    var ExtensionDefinition;
    (function (ExtensionDefinition) {
        var Internal;
        (function (Internal) {
            var untypedDefinition = {
                "commandsCatalog": [],
                "name": "CloudAssertBillingAdminExtension",
                "version": "1.0",
                "hash": "47DEQpj8HBSa+/TImW+5JCeuQeRkm5NMpJWZG3hSuFU=",
                "schemaVersion": "1.0.0.2",
                "sdkVersion": "5.0.302.958 (production_sdk#01c1d67710.180103-1639)",
                "commandGroups": [],
                "htmlTemplates": {}
            };
            Internal.definition = untypedDefinition;
        })(Internal || (Internal = {}));
        ExtensionDefinition.definitionName = "CloudAssertBillingAdminExtension";
        function getDefinition() {
            if (Internal.definition) {
                var def = Internal.definition;
                Internal.definition = null;
                return def;
            }
            throw new Error("Extension definition is no longer available.");
        }
        ExtensionDefinition.getDefinition = getDefinition;
        var External;
        (function (External) {
            var HubsExtension;
            (function (HubsExtension) {
                HubsExtension.name = "HubsExtension";
                var Blades;
                (function (Blades) {
                    var UnauthorizedAssetBlade;
                    (function (UnauthorizedAssetBlade) {
                        UnauthorizedAssetBlade.name = "UnauthorizedAssetBlade";
                    })(UnauthorizedAssetBlade = Blades.UnauthorizedAssetBlade || (Blades.UnauthorizedAssetBlade = {}));
                    var NotFoundAssetBlade;
                    (function (NotFoundAssetBlade) {
                        NotFoundAssetBlade.name = "NotFoundAssetBlade";
                    })(NotFoundAssetBlade = Blades.NotFoundAssetBlade || (Blades.NotFoundAssetBlade = {}));
                    var UnavailableAssetBlade;
                    (function (UnavailableAssetBlade) {
                        UnavailableAssetBlade.name = "UnavailableAssetBlade";
                    })(UnavailableAssetBlade = Blades.UnavailableAssetBlade || (Blades.UnavailableAssetBlade = {}));
                    var BrowseResourceBlade;
                    (function (BrowseResourceBlade) {
                        BrowseResourceBlade.name = "BrowseResourceBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.resourceType = "resourceType";
                        })(Inputs = BrowseResourceBlade.Inputs || (BrowseResourceBlade.Inputs = {}));
                    })(BrowseResourceBlade = Blades.BrowseResourceBlade || (Blades.BrowseResourceBlade = {}));
                    var BrowseAllResourcesBlade;
                    (function (BrowseAllResourcesBlade) {
                        BrowseAllResourcesBlade.name = "BrowseAllResourcesBlade";
                    })(BrowseAllResourcesBlade = Blades.BrowseAllResourcesBlade || (Blades.BrowseAllResourcesBlade = {}));
                    var BrowseAllFilteredResourcesBlade;
                    (function (BrowseAllFilteredResourcesBlade) {
                        BrowseAllFilteredResourcesBlade.name = "BrowseAllFilteredResourcesBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.filter = "filter";
                        })(Inputs = BrowseAllFilteredResourcesBlade.Inputs || (BrowseAllFilteredResourcesBlade.Inputs = {}));
                    })(BrowseAllFilteredResourcesBlade = Blades.BrowseAllFilteredResourcesBlade || (Blades.BrowseAllFilteredResourcesBlade = {}));
                    var BrowseResourceGroupBlade;
                    (function (BrowseResourceGroupBlade) {
                        BrowseResourceGroupBlade.name = "BrowseResourceGroupBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.resourceType = "resourceType";
                        })(Inputs = BrowseResourceGroupBlade.Inputs || (BrowseResourceGroupBlade.Inputs = {}));
                    })(BrowseResourceGroupBlade = Blades.BrowseResourceGroupBlade || (Blades.BrowseResourceGroupBlade = {}));
                    var MapResourceGroupBlade;
                    (function (MapResourceGroupBlade) {
                        MapResourceGroupBlade.name = "MapResourceGroupBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.id = "id";
                        })(Inputs = MapResourceGroupBlade.Inputs || (MapResourceGroupBlade.Inputs = {}));
                    })(MapResourceGroupBlade = Blades.MapResourceGroupBlade || (Blades.MapResourceGroupBlade = {}));
                    var ResourceGroupPickerV3Blade;
                    (function (ResourceGroupPickerV3Blade) {
                        ResourceGroupPickerV3Blade.name = "ResourceGroupPickerV3Blade";
                    })(ResourceGroupPickerV3Blade = Blades.ResourceGroupPickerV3Blade || (Blades.ResourceGroupPickerV3Blade = {}));
                    var DeployFromTemplateBlade;
                    (function (DeployFromTemplateBlade) {
                        DeployFromTemplateBlade.name = "DeployFromTemplateBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.internal_bladeCallerParams = "internal_bladeCallerParams";
                        })(Inputs = DeployFromTemplateBlade.Inputs || (DeployFromTemplateBlade.Inputs = {}));
                    })(DeployFromTemplateBlade = Blades.DeployFromTemplateBlade || (Blades.DeployFromTemplateBlade = {}));
                    var ParametersEditorBlade;
                    (function (ParametersEditorBlade) {
                        ParametersEditorBlade.name = "ParametersEditorBlade";
                    })(ParametersEditorBlade = Blades.ParametersEditorBlade || (Blades.ParametersEditorBlade = {}));
                    var TemplateEditorBlade;
                    (function (TemplateEditorBlade) {
                        TemplateEditorBlade.name = "TemplateEditorBlade";
                    })(TemplateEditorBlade = Blades.TemplateEditorBlade || (Blades.TemplateEditorBlade = {}));
                    var LocationPickerV3Blade;
                    (function (LocationPickerV3Blade) {
                        LocationPickerV3Blade.name = "LocationPickerV3Blade";
                    })(LocationPickerV3Blade = Blades.LocationPickerV3Blade || (Blades.LocationPickerV3Blade = {}));
                    var DeploymentDetailsBlade;
                    (function (DeploymentDetailsBlade) {
                        DeploymentDetailsBlade.name = "DeploymentDetailsBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.id = "id";
                        })(Inputs = DeploymentDetailsBlade.Inputs || (DeploymentDetailsBlade.Inputs = {}));
                    })(DeploymentDetailsBlade = Blades.DeploymentDetailsBlade || (Blades.DeploymentDetailsBlade = {}));
                    var ResourceGroupMapBlade;
                    (function (ResourceGroupMapBlade) {
                        ResourceGroupMapBlade.name = "ResourceGroupMapBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.id = "id";
                        })(Inputs = ResourceGroupMapBlade.Inputs || (ResourceGroupMapBlade.Inputs = {}));
                    })(ResourceGroupMapBlade = Blades.ResourceGroupMapBlade || (Blades.ResourceGroupMapBlade = {}));
                    var ResourceMenuBlade;
                    (function (ResourceMenuBlade) {
                        ResourceMenuBlade.name = "ResourceMenuBlade";
                        var Inputs;
                        (function (Inputs) {
                            Inputs.id = "id";
                        })(Inputs = ResourceMenuBlade.Inputs || (ResourceMenuBlade.Inputs = {}));
                    })(ResourceMenuBlade = Blades.ResourceMenuBlade || (Blades.ResourceMenuBlade = {}));
                    var ServicesHealthBlade;
                    (function (ServicesHealthBlade) {
                        ServicesHealthBlade.name = "ServicesHealthBlade";
                    })(ServicesHealthBlade = Blades.ServicesHealthBlade || (Blades.ServicesHealthBlade = {}));
                    var SettingsBlade;
                    (function (SettingsBlade) {
                        SettingsBlade.name = "SettingsBlade";
                    })(SettingsBlade = Blades.SettingsBlade || (Blades.SettingsBlade = {}));
                    var SubscriptionPickerV3Blade;
                    (function (SubscriptionPickerV3Blade) {
                        SubscriptionPickerV3Blade.name = "SubscriptionPickerV3Blade";
                    })(SubscriptionPickerV3Blade = Blades.SubscriptionPickerV3Blade || (Blades.SubscriptionPickerV3Blade = {}));
                })(Blades = HubsExtension.Blades || (HubsExtension.Blades = {}));
            })(HubsExtension = External.HubsExtension || (External.HubsExtension = {}));
        })(External = ExtensionDefinition.External || (ExtensionDefinition.External = {}));
        var AssetTypes;
        (function (AssetTypes) {
            var AdminBilling;
            (function (AdminBilling) {
                AdminBilling.name = "AdminBilling";
            })(AdminBilling = AssetTypes.AdminBilling || (AssetTypes.AdminBilling = {}));
        })(AssetTypes = ExtensionDefinition.AssetTypes || (ExtensionDefinition.AssetTypes = {}));
        var AssetTypeNames;
        (function (AssetTypeNames) {
            AssetTypeNames.adminBilling = AssetTypes.AdminBilling.name;
        })(AssetTypeNames = ExtensionDefinition.AssetTypeNames || (ExtensionDefinition.AssetTypeNames = {}));
        var BladeNames;
        (function (BladeNames) {
            BladeNames.serviceQuotasBlade = "ServiceQuotasBlade";
            BladeNames.quotaCollectionBlade = "QuotaCollectionBlade";
            BladeNames.quotaDetailsBlade = "QuotaDetailsBlade";
            BladeNames.resourceProviderDashboardBlade = "ResourceProviderDashboardBlade";
            BladeNames.resourceProviderOverviewBlade = "ResourceProviderOverviewBlade";
            BladeNames.adminReportOneBlade = "AdminReportOneBlade";
            BladeNames.adminReportTwoBlade = "AdminReportTwoBlade";
            BladeNames.adminReportThreeBlade = "AdminReportThreeBlade";
            BladeNames.cspOffersGridBlade = "CspOffersGridBlade";
            BladeNames.cspCustomerProfileRequestGridViewModel = "CspCustomerProfileRequestGridViewModel";
            BladeNames.cspCustomerProfileRequestDetailsViewModel = "CspCustomerProfileRequestDetailsViewModel";
            BladeNames.adminBillingMenuBlade = "AdminBillingMenuBlade";
            BladeNames.usageHistoryGridBlade = "UsageHistoryGridBlade";
            BladeNames.invoicesCollectionBlade = "InvoicesCollectionBlade";
            BladeNames.invoiceDetailBlade = "InvoiceDetailBlade";
            BladeNames.invoiceEditBlade = "InvoiceEditBlade";
            BladeNames.pricingProfileBlade = "PricingProfileBlade";
            BladeNames.pricingProfilesCollectionBlade = "PricingProfilesCollectionBlade";
            BladeNames.pricingProfileImportBlade = "PricingProfileImportBlade";
            BladeNames.pricingProfileUpdateMetersBlade = "PricingProfileUpdateMetersBlade";
            BladeNames.pricingProfileDetailsBlade = "PricingProfileDetailsBlade";
            BladeNames.pricingProfileMappingBlade = "PricingProfileMappingBlade";
            BladeNames.pricingProfileLinkUnlinkBlade = "PricingProfileLinkUnlinkBlade";
            BladeNames.settingsBlade = "SettingsBlade";
            BladeNames.productFeaturesSettingBlade = "ProductFeaturesSettingBlade";
            BladeNames.invoicePdfSettingBlade = "InvoicePdfSettingBlade";
            BladeNames.cspSettingBlade = "CspSettingBlade";
            BladeNames.emailNotificationSettingBlade = "EmailNotificationSettingBlade";
            BladeNames.stripeSettingsBlade = "StripeSettingsBlade";
            BladeNames.azureStackUsageCollectorSettingsBlade = "AzureStackUsageCollectorSettingsBlade";
            BladeNames.domainUserSettingsBlade = "DomainUserSettingsBlade";
            BladeNames.miscSettingsBlade = "MiscSettingsBlade";
            BladeNames.userProfileBlade = "UserProfileBlade";
            BladeNames.userRequestsBlade = "UserRequestsBlade";
            BladeNames.userRequestsDetailsBlade = "UserRequestsDetailsBlade";
            BladeNames.meteredResourceCollectionBlade = "MeteredResourceCollectionBlade";
            BladeNames.meteredResourceEditBlade = "MeteredResourceEditBlade";
            BladeNames.availablePricingProfileBlade = "AvailablePricingProfileBlade";
            BladeNames.updateMeteredPricingCatageoriesResourceBlade = "UpdateMeteredPricingCatageoriesResourceBlade";
            BladeNames.quotaCreateBlade = "QuotaCreateBlade";
            BladeNames.licenseOverviewBlade = "LicenseOverviewBlade";
            BladeNames.activateLicenseFormBlade = "ActivateLicenseFormBlade";
            BladeNames.usageProcessingStatus = "UsageProcessingStatus";
            BladeNames.agentLogs = "AgentLogs";
            BladeNames.agentLogsDetailsBlade = "AgentLogsDetailsBlade";
            BladeNames.notificationMessagesBlade = "NotificationMessagesBlade";
            BladeNames.notificationRulesBlade = "NotificationRulesBlade";
            BladeNames.notificationAddEditBlade = "NotificationAddEditBlade";
            BladeNames.notificationMessageDetailsBlade = "NotificationMessageDetailsBlade";
            BladeNames.userCreditsCollectionBlade = "UserCreditsCollectionBlade";
            BladeNames.userCreditsDetailsBlade = "UserCreditsDetailsBlade";
            BladeNames.usageAndQuotaStatusBlade = "UsageAndQuotaStatusBlade";
            BladeNames.usageAndQuotaSnapInBlade = "UsageAndQuotaSnapInBlade";
            BladeNames.usageAndQuotaTrendBlade = "UsageAndQuotaTrendBlade";
        })(BladeNames = ExtensionDefinition.BladeNames || (ExtensionDefinition.BladeNames = {}));
    })(ExtensionDefinition || (ExtensionDefinition = {}));
    return ExtensionDefinition;
});
