define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../AdminReports/ViewModels/AdminReportPartViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.part = {
            "styleSheets": [
                {
                    "file": "Blades/QuotaStyles.css",
                    "content": BladesQuotaStylescss
                },
                {
                    "file": "Blades/AdminBillingStyles.css",
                    "content": BladesAdminBillingStylescss
                }
            ],
            "name": "AdminReportPart",
            "viewModel": "AdminReports$AdminReportPartViewModel",
            "partKind": 0,
            "canUseOldInputVersions": false,
            "inputs": [
                "subscriptionId",
                "imageName"
            ],
            "bindings": [
                {
                    "property": "subscriptionId",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "subscriptionId"
                        }
                    ]
                },
                {
                    "property": "imageName",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "imageName"
                        }
                    ]
                }
            ],
            "details": [],
            "htmlTemplateInline": {
                "file": "AdminReportPart.html",
                "content": "<div data-bind=\"image: reportImage\" class=\"ext-ca-billing-report-image\"></div>"
            }
        };
    })(Main || (Main = {}));
    return Main;
});
