var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    var ViewModelFactories;
    (function (ViewModelFactories) {
        var AdminReportsViewModelFactoriesBase = (function (_super) {
            __extends(AdminReportsViewModelFactoriesBase, _super);
            function AdminReportsViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            AdminReportsViewModelFactoriesBase.prototype.AdminReportPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminReports/ViewModels/AdminReportPartViewModel", function (providerModule) { return new providerModule.AdminReportPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            AdminReportsViewModelFactoriesBase.prototype.AdminReportBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminReports/ViewModels/AdminReportBladeViewModel", function (providerModule) { return new providerModule.AdminReportBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return AdminReportsViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.AdminReportsViewModelFactoriesBase = AdminReportsViewModelFactoriesBase;
        var AdminBillingViewModelFactoriesBase = (function (_super) {
            __extends(AdminBillingViewModelFactoriesBase, _super);
            function AdminBillingViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            AdminBillingViewModelFactoriesBase.prototype.AdminBillingOverviewPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminBilling/ViewModels/AdminBillingOverviewPartViewModel", function (providerModule) { return new providerModule.AdminBillingOverviewPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            AdminBillingViewModelFactoriesBase.prototype.AdminBillingMenuBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminBilling/ViewModels/AdminBillingMenuBladeViewModel", function (providerModule) { return new providerModule.AdminBillingMenuBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            AdminBillingViewModelFactoriesBase.prototype.InvoicesCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminBilling/ViewModels/InvoicesCollectionBladeViewModel", function (providerModule) { return new providerModule.InvoicesCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            AdminBillingViewModelFactoriesBase.prototype.InvoiceDetailBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminBilling/ViewModels/InvoiceDetailBladeViewModel", function (providerModule) { return new providerModule.InvoiceDetailBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            AdminBillingViewModelFactoriesBase.prototype.InvoiceEditBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../AdminBilling/ViewModels/InvoiceEditBladeViewModel", function (providerModule) { return new providerModule.InvoiceEditBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return AdminBillingViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.AdminBillingViewModelFactoriesBase = AdminBillingViewModelFactoriesBase;
        var QuotaViewModelFactoriesBase = (function (_super) {
            __extends(QuotaViewModelFactoriesBase, _super);
            function QuotaViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            QuotaViewModelFactoriesBase.prototype.ServiceQuotasBladeBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/ServiceQuotasBladeBladeViewModel", function (providerModule) { return new providerModule.ServiceQuotasBladeBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            QuotaViewModelFactoriesBase.prototype.QuotaFormPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/QuotaFormPartViewModel", function (providerModule) { return new providerModule.QuotaFormPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            QuotaViewModelFactoriesBase.prototype.QuotaCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/QuotaCollectionBladeViewModel", function (providerModule) { return new providerModule.QuotaCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            QuotaViewModelFactoriesBase.prototype.QuotaDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/QuotaDetailsBladeViewModel", function (providerModule) { return new providerModule.QuotaDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            QuotaViewModelFactoriesBase.prototype.QuotaCreateNoticeBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/QuotaCreateNoticeBladeViewModel", function (providerModule) { return new providerModule.QuotaCreateNoticeBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            QuotaViewModelFactoriesBase.prototype.QuotaCreateNoticePartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Quota/ViewModels/QuotaCreateNoticePartViewModel", function (providerModule) { return new providerModule.QuotaCreateNoticePartViewModel(container, initialState, _this.dataContext); }, require);
            };
            return QuotaViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.QuotaViewModelFactoriesBase = QuotaViewModelFactoriesBase;
        var ResourceProviderViewModelFactoriesBase = (function (_super) {
            __extends(ResourceProviderViewModelFactoriesBase, _super);
            function ResourceProviderViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            ResourceProviderViewModelFactoriesBase.prototype.ResourceProviderMenuBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/ResourceProviderMenuBladeViewModel", function (providerModule) { return new providerModule.ResourceProviderMenuBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.ResourceProviderOverviewBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/ResourceProviderOverviewBladeViewModel", function (providerModule) { return new providerModule.ResourceProviderOverviewBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.SelectedIsoCurrencySymbolPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/SelectedIsoCurrencySymbolPartViewModel", function (providerModule) { return new providerModule.SelectedIsoCurrencySymbolPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.CostComparisonTrendViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/CostComparisonTrendViewModel", function (providerModule) { return new providerModule.CostComparisonTrendViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.CostPerServiceTypeDonutPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/CostPerServiceTypeDonutPartViewModel", function (providerModule) { return new providerModule.CostPerServiceTypeDonutPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.TopUsersByCostChartPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/TopUsersByCostChartPartViewModel", function (providerModule) { return new providerModule.TopUsersByCostChartPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.CostPerResourceChartPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/CostPerResourceChartPartViewModel", function (providerModule) { return new providerModule.CostPerResourceChartPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.ResourceCountPerSubscriptionChartPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/ResourceCountPerSubscriptionChartPartViewModel", function (providerModule) { return new providerModule.ResourceCountPerSubscriptionChartPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            ResourceProviderViewModelFactoriesBase.prototype.ResourceProviderResourceSummaryPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../ResourceProvider/ViewModels/ResourceProviderResourceSummaryPartViewModel", function (providerModule) { return new providerModule.ResourceProviderResourceSummaryPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            return ResourceProviderViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.ResourceProviderViewModelFactoriesBase = ResourceProviderViewModelFactoriesBase;
        var CspViewModelFactoriesBase = (function (_super) {
            __extends(CspViewModelFactoriesBase, _super);
            function CspViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            CspViewModelFactoriesBase.prototype.CspOffersGridBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Csp/ViewModels/CspOffersGridBladeViewModel", function (providerModule) { return new providerModule.CspOffersGridBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            CspViewModelFactoriesBase.prototype.CspCustomerProfileRequestGridViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Csp/ViewModels/CspCustomerProfileRequestGridViewModel", function (providerModule) { return new providerModule.CspCustomerProfileRequestGridViewModel(container, initialState, _this.dataContext); }, require);
            };
            CspViewModelFactoriesBase.prototype.CspCustomerProfileRequestDetailsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Csp/ViewModels/CspCustomerProfileRequestDetailsViewModel", function (providerModule) { return new providerModule.CspCustomerProfileRequestDetailsViewModel(container, initialState, _this.dataContext); }, require);
            };
            CspViewModelFactoriesBase.prototype.CspCustomerProfileRequestDetailsPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Csp/ViewModels/CspCustomerProfileRequestDetailsPartViewModel", function (providerModule) { return new providerModule.CspCustomerProfileRequestDetailsPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            return CspViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.CspViewModelFactoriesBase = CspViewModelFactoriesBase;
        var UsageHistoryViewModelFactoriesBase = (function (_super) {
            __extends(UsageHistoryViewModelFactoriesBase, _super);
            function UsageHistoryViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            UsageHistoryViewModelFactoriesBase.prototype.UsageHistoryGridBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageHistory/ViewModels/UsageHistoryGridBladeViewModel", function (providerModule) { return new providerModule.UsageHistoryGridBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return UsageHistoryViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.UsageHistoryViewModelFactoriesBase = UsageHistoryViewModelFactoriesBase;
        var PricingProfileViewModelFactoriesBase = (function (_super) {
            __extends(PricingProfileViewModelFactoriesBase, _super);
            function PricingProfileViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileBladeViewModel", function (providerModule) { return new providerModule.PricingProfileBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfilePartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileBladeViewModel", function (providerModule) { return new providerModule.PricingProfilePartViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfilesCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfilesCollectionBladeViewModel", function (providerModule) { return new providerModule.PricingProfilesCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileImportBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileImportBladeViewModel", function (providerModule) { return new providerModule.PricingProfileImportBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileUpdateMetersBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileUpdateMetersBladeViewModel", function (providerModule) { return new providerModule.PricingProfileUpdateMetersBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileDetailsBladeViewModel", function (providerModule) { return new providerModule.PricingProfileDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileMappingBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileMappingBladeViewModel", function (providerModule) { return new providerModule.PricingProfileMappingBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            PricingProfileViewModelFactoriesBase.prototype.PricingProfileLinkUnlinkBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../PricingProfile/ViewModels/PricingProfileLinkUnlinkBladeViewModel", function (providerModule) { return new providerModule.PricingProfileLinkUnlinkBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return PricingProfileViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.PricingProfileViewModelFactoriesBase = PricingProfileViewModelFactoriesBase;
        var SettingsViewModelFactoriesBase = (function (_super) {
            __extends(SettingsViewModelFactoriesBase, _super);
            function SettingsViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            SettingsViewModelFactoriesBase.prototype.SettingsListBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/SettingsListViewModel", function (providerModule) { return new providerModule.SettingsListBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.SettingsListPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/SettingsListViewModel", function (providerModule) { return new providerModule.SettingsListPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.ProductFeaturesSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/ProductFeaturesSettingsViewModel", function (providerModule) { return new providerModule.ProductFeaturesSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.InvoicePdfSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/InvoicePdfSettingsViewModel", function (providerModule) { return new providerModule.InvoicePdfSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.CspSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/CspSettingsViewModel", function (providerModule) { return new providerModule.CspSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.EmailNotificationSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/EmailNotificationSettingsViewModel", function (providerModule) { return new providerModule.EmailNotificationSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.StripeSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/StripeSettingsViewModel", function (providerModule) { return new providerModule.StripeSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.AzureStackUsageCollectorSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/AzureStackUsageCollectorSettingsViewModel", function (providerModule) { return new providerModule.AzureStackUsageCollectorSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.DomainUserSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/DomainUserSettingsViewModel", function (providerModule) { return new providerModule.DomainUserSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            SettingsViewModelFactoriesBase.prototype.MiscSettingsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Settings/ViewModels/MiscSettingsViewModel", function (providerModule) { return new providerModule.MiscSettingsViewModel(container, initialState, _this.dataContext); }, require);
            };
            return SettingsViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.SettingsViewModelFactoriesBase = SettingsViewModelFactoriesBase;
        var UserProfileViewModelFactoriesBase = (function (_super) {
            __extends(UserProfileViewModelFactoriesBase, _super);
            function UserProfileViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            UserProfileViewModelFactoriesBase.prototype.UserProfileListBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserProfile/ViewModels/UserProfileListViewModel", function (providerModule) { return new providerModule.UserProfileListBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            UserProfileViewModelFactoriesBase.prototype.UserProfileListPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserProfile/ViewModels/UserProfileListViewModel", function (providerModule) { return new providerModule.UserProfileListPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            UserProfileViewModelFactoriesBase.prototype.UserRequestsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserProfile/ViewModels/UserRequestsViewModel", function (providerModule) { return new providerModule.UserRequestsViewModel(container, initialState, _this.dataContext); }, require);
            };
            UserProfileViewModelFactoriesBase.prototype.UserRequestsDetailsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserProfile/ViewModels/UserRequestsDetailsViewModel", function (providerModule) { return new providerModule.UserRequestsDetailsViewModel(container, initialState, _this.dataContext); }, require);
            };
            UserProfileViewModelFactoriesBase.prototype.UserProfileDetailsPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserProfile/ViewModels/UserProfileDetailsPartViewModel", function (providerModule) { return new providerModule.UserProfileDetailsPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            return UserProfileViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.UserProfileViewModelFactoriesBase = UserProfileViewModelFactoriesBase;
        var MeteredResourcePricingViewModelFactoriesBase = (function (_super) {
            __extends(MeteredResourcePricingViewModelFactoriesBase, _super);
            function MeteredResourcePricingViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            MeteredResourcePricingViewModelFactoriesBase.prototype.MeteredResourceCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../MeteredResourcePricing/ViewModels/MeteredResourceCollectionBladeViewModel", function (providerModule) { return new providerModule.MeteredResourceCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            MeteredResourcePricingViewModelFactoriesBase.prototype.MeteredResourceEditBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../MeteredResourcePricing/ViewModels/MeteredResourceEditBladeViewModel", function (providerModule) { return new providerModule.MeteredResourceEditBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            MeteredResourcePricingViewModelFactoriesBase.prototype.AvailablePricingProfileBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../MeteredResourcePricing/ViewModels/AvailablePricingProfileBladeViewModel", function (providerModule) { return new providerModule.AvailablePricingProfileBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            MeteredResourcePricingViewModelFactoriesBase.prototype.UpdateMeteredPricingCatageoriesResourceBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../MeteredResourcePricing/ViewModels/UpdateMeteredPricingCatageoriesResourceBladeViewModel", function (providerModule) { return new providerModule.UpdateMeteredPricingCatageoriesResourceBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return MeteredResourcePricingViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.MeteredResourcePricingViewModelFactoriesBase = MeteredResourcePricingViewModelFactoriesBase;
        var LicenseViewModelFactoriesBase = (function (_super) {
            __extends(LicenseViewModelFactoriesBase, _super);
            function LicenseViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            LicenseViewModelFactoriesBase.prototype.LicenseOverviewBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../License/ViewModels/LicenseOverviewBladeViewModel", function (providerModule) { return new providerModule.LicenseOverviewBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            LicenseViewModelFactoriesBase.prototype.ActivateLicenseFormBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../License/ViewModels/ActivateLicenseFormBladeViewModel", function (providerModule) { return new providerModule.ActivateLicenseFormBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return LicenseViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.LicenseViewModelFactoriesBase = LicenseViewModelFactoriesBase;
        var UsageProcessingStatusViewModelFactoriesBase = (function (_super) {
            __extends(UsageProcessingStatusViewModelFactoriesBase, _super);
            function UsageProcessingStatusViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            UsageProcessingStatusViewModelFactoriesBase.prototype.UsageProcessingStatusViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageProcessingStatus/ViewModels/UsageProcessingStatusViewModel", function (providerModule) { return new providerModule.UsageProcessingStatusViewModel(container, initialState, _this.dataContext); }, require);
            };
            UsageProcessingStatusViewModelFactoriesBase.prototype.AgentLogsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageProcessingStatus/ViewModels/AgentLogsViewModel", function (providerModule) { return new providerModule.AgentLogsViewModel(container, initialState, _this.dataContext); }, require);
            };
            UsageProcessingStatusViewModelFactoriesBase.prototype.AgentLogsDetailsViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageProcessingStatus/ViewModels/AgentLogsDetailsViewModel", function (providerModule) { return new providerModule.AgentLogsDetailsViewModel(container, initialState, _this.dataContext); }, require);
            };
            UsageProcessingStatusViewModelFactoriesBase.prototype.AgentLogsDetailsPartViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageProcessingStatus/ViewModels/AgentLogsDetailsPartViewModel", function (providerModule) { return new providerModule.AgentLogsDetailsPartViewModel(container, initialState, _this.dataContext); }, require);
            };
            return UsageProcessingStatusViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.UsageProcessingStatusViewModelFactoriesBase = UsageProcessingStatusViewModelFactoriesBase;
        var NotificationsViewModelFactoriesBase = (function (_super) {
            __extends(NotificationsViewModelFactoriesBase, _super);
            function NotificationsViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            NotificationsViewModelFactoriesBase.prototype.NotificationMessagesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Notifications/ViewModels/NotificationMessagesBladeViewModel", function (providerModule) { return new providerModule.NotificationMessagesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            NotificationsViewModelFactoriesBase.prototype.NotificationRulesBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Notifications/ViewModels/NotificationRulesBladeViewModel", function (providerModule) { return new providerModule.NotificationRulesBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            NotificationsViewModelFactoriesBase.prototype.NotificationAddEditBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Notifications/ViewModels/NotificationAddEditBladeViewModel", function (providerModule) { return new providerModule.NotificationAddEditBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            NotificationsViewModelFactoriesBase.prototype.NotificationMessageDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Notifications/ViewModels/NotificationMessageDetailsBladeViewModel", function (providerModule) { return new providerModule.NotificationMessageDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            NotificationsViewModelFactoriesBase.prototype.NotificationMessageDetailsPartBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../Notifications/ViewModels/NotificationMessageDetailsPartBladeViewModel", function (providerModule) { return new providerModule.NotificationMessageDetailsPartBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return NotificationsViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.NotificationsViewModelFactoriesBase = NotificationsViewModelFactoriesBase;
        var UserCreditsViewModelFactoriesBase = (function (_super) {
            __extends(UserCreditsViewModelFactoriesBase, _super);
            function UserCreditsViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            UserCreditsViewModelFactoriesBase.prototype.UserCreditsCollectionBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserCredits/ViewModels/UserCreditsCollectionBladeViewModel", function (providerModule) { return new providerModule.UserCreditsCollectionBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            UserCreditsViewModelFactoriesBase.prototype.UserCreditsDetailsBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UserCredits/ViewModels/UserCreditsDetailsBladeViewModel", function (providerModule) { return new providerModule.UserCreditsDetailsBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return UserCreditsViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.UserCreditsViewModelFactoriesBase = UserCreditsViewModelFactoriesBase;
        var UsageAndQuotaViewModelFactoriesBase = (function (_super) {
            __extends(UsageAndQuotaViewModelFactoriesBase, _super);
            function UsageAndQuotaViewModelFactoriesBase() {
                _super.apply(this, arguments);
            }
            UsageAndQuotaViewModelFactoriesBase.prototype.UsageAndQuotaStatusBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageAndQuota/ViewModels/UsageAndQuotaStatusBladeViewModel", function (providerModule) { return new providerModule.UsageAndQuotaStatusBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            UsageAndQuotaViewModelFactoriesBase.prototype.UsageAndQuotaSnapInBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageAndQuota/ViewModels/UsageAndQuotaSnapInBladeViewModel", function (providerModule) { return new providerModule.UsageAndQuotaSnapInBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            UsageAndQuotaViewModelFactoriesBase.prototype.UsageAndQuotaTrendBladeViewModel = function (container, initialState) {
                var _this = this;
                return this.loadViewModelAsync("../UsageAndQuota/ViewModels/UsageAndQuotaTrendBladeViewModel", function (providerModule) { return new providerModule.UsageAndQuotaTrendBladeViewModel(container, initialState, _this.dataContext); }, require);
            };
            return UsageAndQuotaViewModelFactoriesBase;
        }(FxImpl.Extension.ViewModelAreaFactoriesBase));
        ViewModelFactories.UsageAndQuotaViewModelFactoriesBase = UsageAndQuotaViewModelFactoriesBase;
        function getAdminReports(viewModelFactories) {
            return viewModelFactories.AdminReports();
        }
        function getAdminBilling(viewModelFactories) {
            return viewModelFactories.AdminBilling();
        }
        function getQuota(viewModelFactories) {
            return viewModelFactories.Quota();
        }
        function getResourceProvider(viewModelFactories) {
            return viewModelFactories.ResourceProvider();
        }
        function getCsp(viewModelFactories) {
            return viewModelFactories.Csp();
        }
        function getUsageHistory(viewModelFactories) {
            return viewModelFactories.UsageHistory();
        }
        function getPricingProfile(viewModelFactories) {
            return viewModelFactories.PricingProfile();
        }
        function getSettings(viewModelFactories) {
            return viewModelFactories.Settings();
        }
        function getUserProfile(viewModelFactories) {
            return viewModelFactories.UserProfile();
        }
        function getMeteredResourcePricing(viewModelFactories) {
            return viewModelFactories.MeteredResourcePricing();
        }
        function getLicense(viewModelFactories) {
            return viewModelFactories.License();
        }
        function getUsageProcessingStatus(viewModelFactories) {
            return viewModelFactories.UsageProcessingStatus();
        }
        function getNotifications(viewModelFactories) {
            return viewModelFactories.Notifications();
        }
        function getUserCredits(viewModelFactories) {
            return viewModelFactories.UserCredits();
        }
        function getUsageAndQuota(viewModelFactories) {
            return viewModelFactories.UsageAndQuota();
        }
        var ViewModelFactoriesBase = (function () {
            function ViewModelFactoriesBase() {
            }
            ViewModelFactoriesBase.prototype.SetAdminReportsViewModelFactories = function (factories) {
                this._AdminReportsViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.AdminReports = function () {
                this._AdminReportsViewModelFactories = this._AdminReportsViewModelFactories || new AdminReportsViewModelFactoriesBase();
                return this._AdminReportsViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.AdminReports$AdminReportPartViewModel = function (container, initialState) {
                return getAdminReports(this).AdminReportPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetAdminBillingViewModelFactories = function (factories) {
                this._AdminBillingViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.AdminBilling = function () {
                this._AdminBillingViewModelFactories = this._AdminBillingViewModelFactories || new AdminBillingViewModelFactoriesBase();
                return this._AdminBillingViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.AdminBilling$AdminBillingOverviewPartViewModel = function (container, initialState) {
                return getAdminBilling(this).AdminBillingOverviewPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetQuotaViewModelFactories = function (factories) {
                this._QuotaViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.Quota = function () {
                this._QuotaViewModelFactories = this._QuotaViewModelFactories || new QuotaViewModelFactoriesBase();
                return this._QuotaViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.Quota$ServiceQuotasBladeBladeViewModel = function (container, initialState) {
                return getQuota(this).ServiceQuotasBladeBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Quota$QuotaFormPartViewModel = function (container, initialState) {
                return getQuota(this).QuotaFormPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Quota$QuotaCollectionBladeViewModel = function (container, initialState) {
                return getQuota(this).QuotaCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Quota$QuotaDetailsBladeViewModel = function (container, initialState) {
                return getQuota(this).QuotaDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetResourceProviderViewModelFactories = function (factories) {
                this._ResourceProviderViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.ResourceProvider = function () {
                this._ResourceProviderViewModelFactories = this._ResourceProviderViewModelFactories || new ResourceProviderViewModelFactoriesBase();
                return this._ResourceProviderViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$ResourceProviderMenuBladeViewModel = function (container, initialState) {
                return getResourceProvider(this).ResourceProviderMenuBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$ResourceProviderOverviewBladeViewModel = function (container, initialState) {
                return getResourceProvider(this).ResourceProviderOverviewBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$SelectedIsoCurrencySymbolPartViewModel = function (container, initialState) {
                return getResourceProvider(this).SelectedIsoCurrencySymbolPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$CostComparisonTrendViewModel = function (container, initialState) {
                return getResourceProvider(this).CostComparisonTrendViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$CostPerServiceTypeDonutPartViewModel = function (container, initialState) {
                return getResourceProvider(this).CostPerServiceTypeDonutPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$TopUsersByCostChartPartViewModel = function (container, initialState) {
                return getResourceProvider(this).TopUsersByCostChartPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$CostPerResourceChartPartViewModel = function (container, initialState) {
                return getResourceProvider(this).CostPerResourceChartPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$ResourceCountPerSubscriptionChartPartViewModel = function (container, initialState) {
                return getResourceProvider(this).ResourceCountPerSubscriptionChartPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.ResourceProvider$ResourceProviderResourceSummaryPartViewModel = function (container, initialState) {
                return getResourceProvider(this).ResourceProviderResourceSummaryPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.AdminReports$AdminReportBladeViewModel = function (container, initialState) {
                return getAdminReports(this).AdminReportBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetCspViewModelFactories = function (factories) {
                this._CspViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.Csp = function () {
                this._CspViewModelFactories = this._CspViewModelFactories || new CspViewModelFactoriesBase();
                return this._CspViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.Csp$CspOffersGridBladeViewModel = function (container, initialState) {
                return getCsp(this).CspOffersGridBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Csp$CspCustomerProfileRequestGridViewModel = function (container, initialState) {
                return getCsp(this).CspCustomerProfileRequestGridViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Csp$CspCustomerProfileRequestDetailsViewModel = function (container, initialState) {
                return getCsp(this).CspCustomerProfileRequestDetailsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Csp$CspCustomerProfileRequestDetailsPartViewModel = function (container, initialState) {
                return getCsp(this).CspCustomerProfileRequestDetailsPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.AdminBilling$AdminBillingMenuBladeViewModel = function (container, initialState) {
                return getAdminBilling(this).AdminBillingMenuBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetUsageHistoryViewModelFactories = function (factories) {
                this._UsageHistoryViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.UsageHistory = function () {
                this._UsageHistoryViewModelFactories = this._UsageHistoryViewModelFactories || new UsageHistoryViewModelFactoriesBase();
                return this._UsageHistoryViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.UsageHistory$UsageHistoryGridBladeViewModel = function (container, initialState) {
                return getUsageHistory(this).UsageHistoryGridBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.AdminBilling$InvoicesCollectionBladeViewModel = function (container, initialState) {
                return getAdminBilling(this).InvoicesCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.AdminBilling$InvoiceDetailBladeViewModel = function (container, initialState) {
                return getAdminBilling(this).InvoiceDetailBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.AdminBilling$InvoiceEditBladeViewModel = function (container, initialState) {
                return getAdminBilling(this).InvoiceEditBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetPricingProfileViewModelFactories = function (factories) {
                this._PricingProfileViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.PricingProfile = function () {
                this._PricingProfileViewModelFactories = this._PricingProfileViewModelFactories || new PricingProfileViewModelFactoriesBase();
                return this._PricingProfileViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfilePartViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfilePartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfilesCollectionBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfilesCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileImportBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileImportBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileUpdateMetersBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileUpdateMetersBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileDetailsBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileMappingBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileMappingBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.PricingProfile$PricingProfileLinkUnlinkBladeViewModel = function (container, initialState) {
                return getPricingProfile(this).PricingProfileLinkUnlinkBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetSettingsViewModelFactories = function (factories) {
                this._SettingsViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.Settings = function () {
                this._SettingsViewModelFactories = this._SettingsViewModelFactories || new SettingsViewModelFactoriesBase();
                return this._SettingsViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.Settings$SettingsListBladeViewModel = function (container, initialState) {
                return getSettings(this).SettingsListBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$SettingsListPartViewModel = function (container, initialState) {
                return getSettings(this).SettingsListPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$ProductFeaturesSettingsViewModel = function (container, initialState) {
                return getSettings(this).ProductFeaturesSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$InvoicePdfSettingsViewModel = function (container, initialState) {
                return getSettings(this).InvoicePdfSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$CspSettingsViewModel = function (container, initialState) {
                return getSettings(this).CspSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$EmailNotificationSettingsViewModel = function (container, initialState) {
                return getSettings(this).EmailNotificationSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$StripeSettingsViewModel = function (container, initialState) {
                return getSettings(this).StripeSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$AzureStackUsageCollectorSettingsViewModel = function (container, initialState) {
                return getSettings(this).AzureStackUsageCollectorSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$DomainUserSettingsViewModel = function (container, initialState) {
                return getSettings(this).DomainUserSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Settings$MiscSettingsViewModel = function (container, initialState) {
                return getSettings(this).MiscSettingsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetUserProfileViewModelFactories = function (factories) {
                this._UserProfileViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.UserProfile = function () {
                this._UserProfileViewModelFactories = this._UserProfileViewModelFactories || new UserProfileViewModelFactoriesBase();
                return this._UserProfileViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.UserProfile$UserProfileListBladeViewModel = function (container, initialState) {
                return getUserProfile(this).UserProfileListBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UserProfile$UserProfileListPartViewModel = function (container, initialState) {
                return getUserProfile(this).UserProfileListPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UserProfile$UserRequestsViewModel = function (container, initialState) {
                return getUserProfile(this).UserRequestsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UserProfile$UserRequestsDetailsViewModel = function (container, initialState) {
                return getUserProfile(this).UserRequestsDetailsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UserProfile$UserProfileDetailsPartViewModel = function (container, initialState) {
                return getUserProfile(this).UserProfileDetailsPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetMeteredResourcePricingViewModelFactories = function (factories) {
                this._MeteredResourcePricingViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.MeteredResourcePricing = function () {
                this._MeteredResourcePricingViewModelFactories = this._MeteredResourcePricingViewModelFactories || new MeteredResourcePricingViewModelFactoriesBase();
                return this._MeteredResourcePricingViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.MeteredResourcePricing$MeteredResourceCollectionBladeViewModel = function (container, initialState) {
                return getMeteredResourcePricing(this).MeteredResourceCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.MeteredResourcePricing$MeteredResourceEditBladeViewModel = function (container, initialState) {
                return getMeteredResourcePricing(this).MeteredResourceEditBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.MeteredResourcePricing$AvailablePricingProfileBladeViewModel = function (container, initialState) {
                return getMeteredResourcePricing(this).AvailablePricingProfileBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.MeteredResourcePricing$UpdateMeteredPricingCatageoriesResourceBladeViewModel = function (container, initialState) {
                return getMeteredResourcePricing(this).UpdateMeteredPricingCatageoriesResourceBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Quota$QuotaCreateNoticeBladeViewModel = function (container, initialState) {
                return getQuota(this).QuotaCreateNoticeBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Quota$QuotaCreateNoticePartViewModel = function (container, initialState) {
                return getQuota(this).QuotaCreateNoticePartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetLicenseViewModelFactories = function (factories) {
                this._LicenseViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.License = function () {
                this._LicenseViewModelFactories = this._LicenseViewModelFactories || new LicenseViewModelFactoriesBase();
                return this._LicenseViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.License$LicenseOverviewBladeViewModel = function (container, initialState) {
                return getLicense(this).LicenseOverviewBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.License$ActivateLicenseFormBladeViewModel = function (container, initialState) {
                return getLicense(this).ActivateLicenseFormBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetUsageProcessingStatusViewModelFactories = function (factories) {
                this._UsageProcessingStatusViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.UsageProcessingStatus = function () {
                this._UsageProcessingStatusViewModelFactories = this._UsageProcessingStatusViewModelFactories || new UsageProcessingStatusViewModelFactoriesBase();
                return this._UsageProcessingStatusViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.UsageProcessingStatus$UsageProcessingStatusViewModel = function (container, initialState) {
                return getUsageProcessingStatus(this).UsageProcessingStatusViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UsageProcessingStatus$AgentLogsViewModel = function (container, initialState) {
                return getUsageProcessingStatus(this).AgentLogsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UsageProcessingStatus$AgentLogsDetailsViewModel = function (container, initialState) {
                return getUsageProcessingStatus(this).AgentLogsDetailsViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UsageProcessingStatus$AgentLogsDetailsPartViewModel = function (container, initialState) {
                return getUsageProcessingStatus(this).AgentLogsDetailsPartViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetNotificationsViewModelFactories = function (factories) {
                this._NotificationsViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.Notifications = function () {
                this._NotificationsViewModelFactories = this._NotificationsViewModelFactories || new NotificationsViewModelFactoriesBase();
                return this._NotificationsViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.Notifications$NotificationMessagesBladeViewModel = function (container, initialState) {
                return getNotifications(this).NotificationMessagesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Notifications$NotificationRulesBladeViewModel = function (container, initialState) {
                return getNotifications(this).NotificationRulesBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Notifications$NotificationAddEditBladeViewModel = function (container, initialState) {
                return getNotifications(this).NotificationAddEditBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Notifications$NotificationMessageDetailsBladeViewModel = function (container, initialState) {
                return getNotifications(this).NotificationMessageDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.Notifications$NotificationMessageDetailsPartBladeViewModel = function (container, initialState) {
                return getNotifications(this).NotificationMessageDetailsPartBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetUserCreditsViewModelFactories = function (factories) {
                this._UserCreditsViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.UserCredits = function () {
                this._UserCreditsViewModelFactories = this._UserCreditsViewModelFactories || new UserCreditsViewModelFactoriesBase();
                return this._UserCreditsViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.UserCredits$UserCreditsCollectionBladeViewModel = function (container, initialState) {
                return getUserCredits(this).UserCreditsCollectionBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UserCredits$UserCreditsDetailsBladeViewModel = function (container, initialState) {
                return getUserCredits(this).UserCreditsDetailsBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.SetUsageAndQuotaViewModelFactories = function (factories) {
                this._UsageAndQuotaViewModelFactories = factories;
            };
            ViewModelFactoriesBase.prototype.UsageAndQuota = function () {
                this._UsageAndQuotaViewModelFactories = this._UsageAndQuotaViewModelFactories || new UsageAndQuotaViewModelFactoriesBase();
                return this._UsageAndQuotaViewModelFactories;
            };
            ViewModelFactoriesBase.prototype.UsageAndQuota$UsageAndQuotaStatusBladeViewModel = function (container, initialState) {
                return getUsageAndQuota(this).UsageAndQuotaStatusBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UsageAndQuota$UsageAndQuotaSnapInBladeViewModel = function (container, initialState) {
                return getUsageAndQuota(this).UsageAndQuotaSnapInBladeViewModel(container, initialState);
            };
            ViewModelFactoriesBase.prototype.UsageAndQuota$UsageAndQuotaTrendBladeViewModel = function (container, initialState) {
                return getUsageAndQuota(this).UsageAndQuotaTrendBladeViewModel(container, initialState);
            };
            return ViewModelFactoriesBase;
        }());
        ViewModelFactories.ViewModelFactoriesBase = ViewModelFactoriesBase;
    })(ViewModelFactories || (ViewModelFactories = {}));
    return ViewModelFactories;
});
