var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    var NotificationMessageDetailsPartBladeViewModel = (function (_super) {
        __extends(NotificationMessageDetailsPartBladeViewModel, _super);
        function NotificationMessageDetailsPartBladeViewModel(container, initialState, dataContext) {
            var _this = this;
            _super.call(this);
            this.detailsSection = ko.observableArray();
            this.selectedMessageId = ko.observable();
            this.selectedMessage = ko.observable();
            this.container = container;
            ko.reactor(container, function () {
                if (_this.selectedMessage()) {
                    _this.detailsSection([]);
                    var items = [];
                    items.push({ label: "Id", value: _this.selectedMessage().Id });
                    items.push({ label: "Level", value: _this.selectedMessage().LevelString });
                    items.push({ label: "Time Stamp", value: _this.selectedMessage().TimestampString });
                    items.push({ label: "Description", value: _this.selectedMessage().Description });
                    var section = {
                        title: ko.observable(_this.selectedMessage().Title),
                        items: ko.observableArray(items)
                    };
                    _this.detailsSection.push(section);
                }
            });
        }
        NotificationMessageDetailsPartBladeViewModel.prototype.onInputsSet = function (inputs) {
            this.selectedMessageId(inputs.selectedMessageId);
            this.selectedMessage(inputs.selectedMessage);
            return Q();
        };
        return NotificationMessageDetailsPartBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.NotificationMessageDetailsPartBladeViewModel = NotificationMessageDetailsPartBladeViewModel;
});
