var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports"], function (require, exports) {
    "use strict";
    var QuotaCreateNoticeBladeViewModel = (function (_super) {
        __extends(QuotaCreateNoticeBladeViewModel, _super);
        function QuotaCreateNoticeBladeViewModel(container, initialState, dataContext) {
            _super.call(this);
            this._container = container;
            this.title("Create Quota");
        }
        QuotaCreateNoticeBladeViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            return Q.delay(100).then(function () {
                var description = "Please open Billing Base Profiles blade (in Pricing Profile blade) to create or edit quotas";
                _this._container.enableNotice({
                    noticeTitle: "New Usage and Billing Quota",
                    noticeHeader: "New Usage and Billing Quota",
                    noticeDescription: description,
                    noticeImageType: 0,
                });
            });
        };
        return QuotaCreateNoticeBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.QuotaCreateNoticeBladeViewModel = QuotaCreateNoticeBladeViewModel;
});
