define(["require", "exports", "./Data/BillingOverviewManager", "./Data/InvoicesDataManager", "./Data/LicenseDataManager", "./Data/UsageAggregationStatusDataManager", "./Data/PricingProfilesDataManager"], function (require, exports, BillingOverviewManagerMod, InvoicesDataManagerMod, LicenseDataManagerMod, UsageAggregationStatusDataManagerMod, PricingProfilesDataManagerMod) {
    "use strict";
    "use strict";
    var DataContext = (function () {
        function DataContext() {
            this.billingOverviewManager = new BillingOverviewManagerMod.BillingOverviewManager();
            this.invoicesDataManager = new InvoicesDataManagerMod.InvoicesDataManager();
            this.licenseDataManager = new LicenseDataManagerMod.LicenseDataManager();
            this.usageAggregationStatusDataManager = new UsageAggregationStatusDataManagerMod.UsageAggregationStatusDataManager();
            this.pricingProfilesDataManager = new PricingProfilesDataManagerMod.PricingProfilesDataManager();
        }
        return DataContext;
    }());
    exports.DataContext = DataContext;
});
