define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../Settings/ViewModels/EmailNotificationSettingsViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "EmailNotificationSettingBlade",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "Settings$EmailNotificationSettingsViewModel",
            "lenses": [],
            "width": 1,
            "editScopeType": "PDLEditScope",
            "actionBar": {
                "name": "",
                "actionBarKind": 3,
                "bindings": []
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "EmailNotificationSettingsBlade.html",
                    "content": "<div class=\"msportalfx-form\"> <div style=\"width:80%\"> <div data-bind=\"formElement: formSection\"></div> </div> </div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
