define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../AdminBilling/ViewModels/InvoicesCollectionBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "InvoicesCollectionBlade",
            "inputs": [
                "adminSubscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId"
            ],
            "viewModelName": "AdminBilling$InvoicesCollectionBladeViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.invoicesGrid.selectableData",
                        "blade": "InvoiceDetailBlade",
                        "selectableBindings": [
                            {
                                "property": "subscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "adminSubscriptionId"
                                    }
                                ]
                            },
                            {
                                "property": "location",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "location"
                                    }
                                ]
                            },
                            {
                                "property": "invoiceId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Id"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "InvoicesCollectionBlade.html",
                    "content": " <div data-bind='pcControl: billingPeriodsDropDown' style=\"height: 50px;\"></div> <div data-bind=\"pcControl: gridOrChartOptionPicker\"></div> <div data-bind=\"if: isShowGrid\"> <div data-bind='pcControl: invoicesGrid'></div> </div> <div data-bind=\"ifnot: isShowGrid\" style=\"margin-top: 30px\"> <div data-bind=\"pcControl: barChartVM\" style=\"height: 600px\"></div> </div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
