define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../Blades/LicenseStyles.css", "../../License/ViewModels/LicenseOverviewBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss, BladesLicenseStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "LicenseOverviewBlade",
            "inputs": [
                "subscriptionId",
                "location"
            ],
            "templateKeyInputs": [
                "subscriptionId"
            ],
            "viewModelName": "License$LicenseOverviewBladeViewModel",
            "lenses": [],
            "width": 2,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "LicenseOverviewBlade.html",
                    "content": "<div data-bind='pcControl: expiryInfoBox, visible: isVisibleExpiryBox'></div> <div data-bind='pcControl: currentLicenseEssential'></div> <div> <h2 class=\"ext-cs-heading\">Activate License</h2> <hr/> <div> <label> Activation Text </label> <br/> <br/> <div style=\"width:60%\" data-bind=\"pcControl: activationText\"></div> <br/> </div> <span> Activate online by clicking the button above or copy the activation text and send to licensingsupport@cloudassert.com </span> </div> <hr/> <div id=\"featuresDiv\"> <h2 class=\"ext-cs-heading\">Licensed Features</h2> <hr/> <table id=\"featuresTable\"> <thead> <tr> <th class=\"ext-cs-quota-cell\">Feature</th> <th class=\"ext-cs-allowed-cell\">Expiry</th> </tr> </thead> <tbody id=\"featuresTableBody\" data-bind=\"foreach: licenseFeatures\"> <tr> <td class=\"ext-cs-quota-cell\" data-bind=\"text: $data.Name\"></td> <td class=\"ext-cs-expiry-cell\" data-bind=\"text: $data.Expiry\"></td> </tr> </tbody> </table> </div> <hr/> <div id=\"quotasDiv\"> <h2 class=\"ext-cs-heading\">License Quotas</h2> <hr/> <table id=\"featuresQuotaHeadingTable\"> <thead> <tr style=\"font-weight: 600\"> <th class=\"ext-cs-quota-cell\">Quota</th> <th class=\"ext-cs-allowed-cell\">Allowed</th> <th class=\"ext-cs-used-cell\">Used</th> </tr> </thead> </table> <table id=\"featuresQuotaTable\" data-bind=\"foreach: featureQuotas\"> <thead> <tr> <td style=\"font-weight:600\" data-bind=\"text: Name\"></td> </tr> </thead> <tbody id=\"featuresQuotaTableBody\" data-bind=\"foreach: Quotas\"> <tr> <td class=\"ext-cs-quota-cell\" data-bind=\"text: Name\"></td> <td class=\"ext-cs-allowed-cell\" data-bind=\"text: Value\"></td> <td class=\"ext-cs-used-cell\" data-bind=\"text: Consumed\"></td> </tr> </tbody> <tr></tr> </table> </div> <hr/> <div id=\"helpDiv\"> <h2 class=\"ext-cs-heading\">Visit www.cloudassert.com for more details</h2> <hr/> <div> <a href=\"http://www.cloudassert.com/Solutions/Usage\" target=\"_blank\"> <img src=\"http://www.cloudassert.com/Portals/0/CloudSunWide11.png\" alt=\"Cloud Assert Logo\"/> </a> </div> </div> "
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    },
                    {
                        "file": "Blades/LicenseStyles.css",
                        "content": BladesLicenseStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
