define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../MeteredResourcePricing/ViewModels/MeteredResourceCollectionBladeViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "MeteredResourceCollectionBlade",
            "inputs": [
                "adminSubscriptionId",
                "location",
                "pricingProfileId"
            ],
            "templateKeyInputs": [
                "adminSubscriptionId",
                "pricingProfileId"
            ],
            "viewModelName": "MeteredResourcePricing$MeteredResourceCollectionBladeViewModel",
            "lenses": [],
            "width": 2,
            "pinnable": false,
            "toolbar": {
                "source": {
                    "valuesFrom": [
                        {
                            "referenceType": 0,
                            "property": "content.commandBar"
                        }
                    ]
                }
            },
            "templateBlade": {
                "htmlTemplate": null,
                "details": [
                    {
                        "selectablePath": "content.meteredResourcesGrid.selectableData",
                        "blade": "MeteredResourceEditBlade",
                        "selectableBindings": [
                            {
                                "property": "adminSubscriptionId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "adminSubscriptionId"
                                    }
                                ]
                            },
                            {
                                "property": "location",
                                "valuesFrom": [
                                    {
                                        "referenceType": 1,
                                        "property": "location"
                                    }
                                ]
                            },
                            {
                                "property": "meteredResourceId",
                                "valuesFrom": [
                                    {
                                        "referenceType": 6,
                                        "property": "Id"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "partSize": 0,
                "htmlTemplateInline": {
                    "file": "MeteredResourceCollectionBlade.html",
                    "content": "<div data-bind='pcControl: meteredResourcesGrid'></div>"
                },
                "styleSheets": [
                    {
                        "file": "Blades/QuotaStyles.css",
                        "content": BladesQuotaStylescss
                    },
                    {
                        "file": "Blades/AdminBillingStyles.css",
                        "content": BladesAdminBillingStylescss
                    }
                ]
            },
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
