define(["require", "exports", "../Blades/AdminBillingStyles.css", "../Blades/QuotaStyles.css", "../../UserProfile/ViewModels/UserProfileListViewModel"], function (require, exports, BladesAdminBillingStylescss, BladesQuotaStylescss) {
    "use strict";
    var Main;
    (function (Main) {
        "use strict";
        Main.blade = {
            "name": "UserProfileBlade",
            "inputs": [
                "parameters"
            ],
            "viewModelName": "UserProfile$UserProfileListBladeViewModel",
            "lenses": [
                {
                    "name": "SettingListLens",
                    "partInstances": [
                        {
                            "name": "SettingListPart",
                            "inline": {
                                "styleSheets": [
                                    {
                                        "file": "Blades/QuotaStyles.css",
                                        "content": BladesQuotaStylescss
                                    },
                                    {
                                        "file": "Blades/AdminBillingStyles.css",
                                        "content": BladesAdminBillingStylescss
                                    }
                                ],
                                "viewModel": "UserProfile$UserProfileListPartViewModel",
                                "partKind": 0,
                                "inputs": [
                                    "parameters"
                                ],
                                "bindings": [
                                    {
                                        "property": "parameters",
                                        "valuesFrom": [
                                            {
                                                "referenceType": 1,
                                                "property": "parameters"
                                            }
                                        ]
                                    }
                                ],
                                "details": [
                                    {
                                        "invocationInputArguments": [
                                            {
                                                "valuesFrom": [
                                                    {
                                                        "referenceType": 0,
                                                        "property": "content.pcSelectable"
                                                    }
                                                ]
                                            }
                                        ],
                                        "parameterCollector": "content.parameterCollector"
                                    },
                                    {
                                        "invocationInputArguments": [
                                            {
                                                "valuesFrom": [
                                                    {
                                                        "referenceType": 0,
                                                        "property": "content.selectable"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "initialSize": 8,
                                "supportedSizes": [
                                    8
                                ],
                                "viewStateProperties": [
                                    "content.settingList.selectableData.activatedItems",
                                    "content.settingList.selectableData.selectedItems"
                                ],
                                "htmlTemplateInline": {
                                    "file": "Client\\UserProfile\\UserProfile.pdl",
                                    "content": "<div data-bind=\"pcGrid: settingList\"></div>"
                                }
                            }
                        }
                    ]
                }
            ],
            "viewModelInputs": [
                {
                    "property": "parameters",
                    "valuesFrom": [
                        {
                            "referenceType": 1,
                            "property": "parameters"
                        }
                    ]
                }
            ],
            "width": 0,
            "locked": true,
            "style": 11,
            "attributes": 0
        };
    })(Main || (Main = {}));
    return Main;
});
