define(["require", "exports", "ClientResources"], function (require, exports, ClientResources) {
    "use strict";
    var ExtensionDefinition;
    (function (ExtensionDefinition) {
        "use strict";
        var untypedManifest = {
            "name": "CloudAssertBillingAdminExtension",
            "version": "1.0",
            "schemaVersion": "1.0.0.2",
            "sdkVersion": "5.0.302.958 (production_sdk#01c1d67710.180103-1639)",
            "notifications": [],
            "assetTypes": [
                {
                    "name": "AdminBilling",
                    "singularDisplayName": ClientResources.Assets.Billing.singular,
                    "pluralDisplayName": ClientResources.Assets.Billing.plural,
                    "lowerSingularDisplayName": ClientResources.Assets.Billing.lowerSingular,
                    "lowerPluralDisplayName": ClientResources.Assets.Billing.lowerPlural,
                    "partName": "AdminBillingOverviewPart",
                    "bladeName": "AdminBillingMenuBlade",
                    "browseType": 2,
                    "icon": MsPortalFx.Base.Images.Polychromatic.BillingHub()
                }
            ],
            "notifications2": [],
            "startBoardParts": [],
            "blades": [],
            "galleryParts": [],
            "redirects": []
        };
        untypedManifest.pageVersion = window.fx.environment.pageVersion;
        ExtensionDefinition.manifest = untypedManifest;
        MsPortalFx.Extension.registerAmd(ExtensionDefinition.manifest, "Program", require, "../_generated/Blades/", "../_generated/Parts", "../_generated/Controls");
    })(ExtensionDefinition || (ExtensionDefinition = {}));
    return ExtensionDefinition;
});
